/*
 * $Id: Parameters_print.cpp 110 2009-02-19 16:31:47Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/Two_Level_Branch_Predictor/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace prediction_unit {
namespace direction {
namespace meta_predictor {
namespace two_level_branch_predictor {


#undef  FUNCTION
#define FUNCTION "Two_Level_Branch_Predictor::print"
  std::string Parameters::print (uint32_t depth)
  {
    log_begin(Two_Level_Branch_Predictor,FUNCTION);

    XML xml ("two_level_branch_predictor");

    xml.balise_open("two_level_branch_predictor");
//  xml.singleton_begin(""); xml.attribut("value",toString(_)); xml.singleton_end();
    xml.balise_close();

    log_end(Two_Level_Branch_Predictor,FUNCTION);
    
    return xml.get_body(depth);
  };

#undef  FUNCTION
#define FUNCTION "Two_Level_Branch_Predictor::operator<<"
  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::core::multi_front_end::front_end::prediction_unit::direction::meta_predictor::two_level_branch_predictor::Parameters & x)
  {
    log_begin(Two_Level_Branch_Predictor,FUNCTION);

    output_stream << x.print(0);
    
    log_end(Two_Level_Branch_Predictor,FUNCTION);

    return output_stream;
  };

}; // end namespace two_level_branch_predictor
}; // end namespace meta_predictor
}; // end namespace direction
}; // end namespace prediction_unit
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
